Anonymous
Anonymous asked in 電腦與網際網路電腦網路 · 2 decades ago

iis不能載入php

我安裝了php 5 還有mysql之後

崇iis執行phpmyadmin

可是卻出現了

----

不能載入 MySQL 模組,

請檢查 PHP 的組態設定

說明文件

----

Update:

恩~則嚜提供意見的反而給我比較想知道的答案= ="

而提供答案的...

我爬文也爬很久了...PHP是可以去支援IIS的

你說的也不過世阿帕契裡面的整合程式而已

6 Answers

Rating
  • 璉璉
    Lv 6
    2 decades ago
    Favorite Answer

    http://www.php.net/downloads.php 下可以看到,一個是給 Apache 、一個是給 IIS ,兩種,轉載如下。Windows BinariesAll Windows binaries can be used on Windows 98/Me and on Windows NT/2000/XP/2003. PHP 4.3.10 zip package [7,405Kb] - 15 Dec 2004(CGI binary plus server API versions for Apache, Apache2 (experimental), ISAPI, NSAPI, Servlet and Pi3Web. MySQL support built-in, many extensions included, packaged as zip)md5: 0bb30525512ea686abf22c8fe61e1bb6 PHP 4.3.10 installer [1,052Kb] - 15 Dec 2004(CGI only, MySQL support built-in, packaged as Windows installer to install and configure PHP, and automatically configure IIS, PWS and Xitami, with manual configuration for other servers. N.B. no external extensions included)md5: 6d60129d738e16ea0b69f3fd6646bf3a

    2005-03-07 17:39:46 補充:

    wrox 出版社的 php 作者倒是建議在 windows 下用的話,用給 IIS 模組的那套比較好...

  • Anonymous
    7 years ago

    下面的網址應該對你有幫助

    http://phi008780426.pixnet.net/blog

  • 1 decade ago

    我跟你一樣

    書上明明說iis也可以根php結果出現像你一樣ㄉ文字

    你之後怎樣解決ㄋㄟ

    我鄭在苦惱中

    我做專題ㄉ很煩

    到底該怎要解決

    2006-07-11 21:44:03 補充:

    http://www.php.net/downloads.php 下可以看到,一個是給 Apache 、一個是給 IIS ,兩種,轉載如下。

    這ㄍ人說ㄉ好

    我剛剛去試試看下載

    真ㄉ可以ㄋㄟ

    真是救ㄌ我一命

  • 2 decades ago

    個人建議你不要這麼做

    iis就讓他跑asp&.net的系統

    我有測試過ㄧ些狀況

    但是都是出現在函數與指令的問題

    我是建議你不要將php程式架在iis下,會產生你預期不道的問題

    Source(s): 網管人員
  • How do you think about the answers? You can sign in to vote the answer.
  • 2 decades ago

    上面的先生,IIS和Apache都只是一個伺服器程式。

    你所說的AppServ是一套結合很多東東的程式。

    AppServ內涵套件Apache、MySQL、PHP4等等...

    最主要的還是讓你的HTTP Server支援PHP。

    並不是說IIS支援ASP,IIS只是內建支援ASP,Apache也是有辦法支援ASP。

    有空的話可以到我的網站看看。

    http://www.twspc.net/

    樓主先生的問題我猜應該是PHP5的問題。你可以試試看PHP4,不然就是

    Ysql的問題。

    參考資料

    http://www.twspc.net/

  • 2 decades ago

    IIS是給ASP用的,不是給PHP用的。你應該灌的是Appserver(不確定名字有沒有打對)或是fox server,那些才是用來給php用的。

Still have questions? Get your answers by asking now.